<!doctype html>
<html>
<head>
    <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
    <title>Gauge Test</title>
    <script src='../gauge.min.js'></script>
    <style>body {
        padding: 20px;
        margin: 0;
        background-image: url('./background-image.jpg');
        background-size: 100% 100%;
    }</style>
</head>
<body>

<canvas id='gauge-ps-1'></canvas>
<canvas id='gauge-ps-2'></canvas>
<canvas id='gauge-ps-3'></canvas>
<canvas id='gauge-ps-4'></canvas>
<canvas id='gauge-ps-5'></canvas>
<canvas id='gauge-ps-6'></canvas>
<canvas id='gauge-ps-7'></canvas>
<canvas id='gauge-ps-8'></canvas>
<canvas id='gauge-ps-9'></canvas>
<canvas id='gauge-ps-10'></canvas>
<canvas id='gauge-ps-11'></canvas>
<canvas id='gauge-ps-12'></canvas>

<script>
var gaugePS_1 = new RadialGauge({
    renderTo: 'gauge-ps-1',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_1.draw();

var gaugePS_2 = new RadialGauge({
    renderTo: 'gauge-ps-2',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_2.draw();

var gaugePS_3 = new RadialGauge({
    renderTo: 'gauge-ps-3',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_3.draw();

var gaugePS_4 = new RadialGauge({
    renderTo: 'gauge-ps-4',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_4.draw();

var gaugePS_5 = new RadialGauge({
    renderTo: 'gauge-ps-5',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_5.draw();

var gaugePS_6 = new RadialGauge({
    renderTo: 'gauge-ps-6',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_6.draw();

var gaugePS_7 = new RadialGauge({
    renderTo: 'gauge-ps-7',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_7.draw();

var gaugePS_8 = new RadialGauge({
    renderTo: 'gauge-ps-8',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_8.draw();

var gaugePS_9 = new RadialGauge({
    renderTo: 'gauge-ps-9',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_9.draw();

var gaugePS_10 = new RadialGauge({
    renderTo: 'gauge-ps-10',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_10.draw();

var gaugePS_11 = new RadialGauge({
    renderTo: 'gauge-ps-11',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_11.draw();

var gaugePS_12 = new RadialGauge({
    renderTo: 'gauge-ps-12',
    width: 400,
    height: 400,
    units: 'PS',
    minValue: 0,
    maxValue: 1000,
    majorTicks: [
        '0',
        '100',
        '200',
        '300',
        '400',
        '500',
        '600',
        '700',
        '800',
        '900',
        '1000'
    ],
    minorTicks: 2,
    ticksAngle: 270,
    startAngle: 45,
    strokeTicks: true,
    highlights  : [
        { from : 457,  to : 880, color : 'rgba(78,   78, 76, 0.5)' },
        { from : 880, to : 1000, color : 'rgba(225, 7, 23, 0.75)' }
    ],
    valueInt: 1,
    valueDec: 0,
    colorPlate: '#fff',
    colorMajorTicks: '#686868',
    colorMinorTicks: '#686868',
    colorTitle: '#000',
    colorUnits: '#000',
    colorNumbers: '#686868',
    valueBox: true,
    colorValueText: '#000',
    colorValueBoxRect: '#fff',
    colorValueBoxRectEnd: '#fff',
    colorValueBoxBackground: '#fff',
    colorValueBoxShadow: false,
    colorValueTextShadow: false,
    colorNeedleShadowUp: true,
    colorNeedleShadowDown: false,
    colorNeedle: 'rgba(200, 50, 50, .75)',
    colorNeedleEnd: 'rgba(200, 50, 50, .75)',
    colorNeedleCircleOuter: 'rgba(200, 200, 200, 1)',
    colorNeedleCircleOuterEnd: 'rgba(200, 200, 200, 1)',
    borderShadowWidth: 0,
    borders: true,
    borderInnerWidth: 0,
    borderMiddleWidth: 0,
    borderOuterWidth: 5,
    colorBorderOuter: '#fafafa',
    colorBorderOuterEnd: '#cdcdcd',
    needleType: 'arrow',
    needleWidth: 2,
    needleCircleSize: 7,
    needleCircleOuter: true,
    needleCircleInner: false,
    animation: true,
    animationDuration: 250,
    animationRule: 'linear',
    fontNumbers: 'Verdana',
    fontTitle: 'Verdana',
    fontUnits: 'Verdana',
    fontValue: 'Led',
    fontValueStyle: 'italic',
    fontNumbersSize: 20,
    fontNumbersStyle: 'italic',
    fontNumbersWeight: 'bold',
    fontTitleSize: 24,
    fontUnitsSize: 22,
    fontValueSize: 50,
    animatedValue: true
});
gaugePS_12.draw();

let value = 0;
let delta = 1;
let count = 0;

setInterval(() => { 
    gaugePS_1.value = value;
    gaugePS_2.value = value;
    gaugePS_3.value = value;
    gaugePS_4.value = value;
    gaugePS_5.value = value;
    gaugePS_6.value = value;
    gaugePS_7.value = value;
    gaugePS_8.value = value;
    gaugePS_9.value = value;
    gaugePS_10.value = value;
    gaugePS_11.value = value;
    gaugePS_12.value = value;
}, 250);

setInterval(() => { 
    if (value > 1000 || value < 0)
        delta *= -1;
    value += delta;
    // console.log('count : ' + count++);
}, 1);

</script>

</body>
</html>
